Subject: RE: Eliminating KEY Algorithms

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 25 Mar 2002 07:43:59 -0800

One point to consider is that although the signature algorithm in ubiquitous
use has been RSA for 20 odd years the RSA spec has changed a couple of times
to take account of changes in packaging technology and it is quite possible
that yet another packaging format will be proposed in the future.

	Phill

Phillip Hallam-Baker FBCS C.Eng.
Principal Scientist
VeriSign Inc.
[email-masked]
781 245 6996 x227

> -----Original Message-----
> From: Donald E. Eastlake 3rd [mailto:[email-masked]]
> Sent: Saturday, March 23, 2002 12:47 AM
> To: [email-masked]
> Subject: Re: Eliminating KEY Algorithms 
> 
> 
> 
> Exactly. These algorithm codes, 253 and 254, are intended for any use
> that doesn't care about interoperability. The requirement to put in an
> OID or domain name is just to guarantee non-collision of different
> private/experimental/test uses. No semantic content is implied by the
> OID or domain name other than that whoever allocates the domain name
> or OID for this purpose have adequate control over that OID or domain
> name.
> 
> I think these codes should be retained. Who knows who may be depending
> on their currently documented natures? Admittedly, at the glacial pace
> algorithm codes are being used, it might be a long time before a
> conflicting use was assigned to 253 or 254 but for the same reason
> there is very little benefit to freeing them up.
> 
> While the current specification is only a Proposed Standard, there is
> clearly some desire for such codes for experimental or test use so why
> take them away to just have to give them back?
> 
> Thanks,
> Donald
> 
> From:  Chris Thompson <[email-masked]>
> To:  [email-masked] (Scott Rose)
> Date:  Wed, 20 Mar 2002 15:43:16 +0000 (GMT)
> Cc:  [email-masked], [email-masked]
> In-Reply-To:  <[email-masked]> from "Scott 
> Rose" at Mar 20, 2 10:01:13 am
> Message-Id:  <[email-masked]>
> 
> >[email-masked] (Scott Rose) writes
> >> 
> >> Edward Lewis wrote:
> >[...]
> >> > While there are changes afoot, can an algorithm number 
> be reserved for
> >> > testing - such as for an algorithm that hasn't been 
> developed enough to
> >> > warrant an IANA assigned number?
> >> >
> >> 
> >> Maybe redefinition of the 253 number?  for "private" 
> instead of "private -
> >> domain name"?  either way, private is private.  Most 
> servers would not
> >> understand experimental algorithms anyway.
> >
> >This is how I read RFC 2535 section 3.2 in the first place. 
> The "domain
> >name" is just there to (maybe) ensure uniqueness, and has no 
> other semantic 
> >content. To use
> >
> >  test42.bizarre-ideas.cet1.ucs.cam.ac.uk
> >
> >for this purpose, I just have to persuade those responsible for
> >ucs.cam.ac.uk that they will tell other people to use somthing
> >not under cet1.ucs.cam.ac.uk for such a purpose. Or if I am lazy,
> >maybe I don't actually bother to do that negotiation, and just
> >hope for the best: it's only for testing ... :)
> >
> >Perhaps the really slovenly can just use the root domain "." ?
> >
> >Chris Thompson
> >Email: [email-masked]
> >
> >--
> >to unsubscribe send a message to 
> [email-masked] with
> >the word 'unsubscribe' in a single line as the message text body.
> >archive: <http://ops.ietf.org/lists/namedroppers/>
> 
> --
> to unsubscribe send a message to 
> [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
>